gump-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aj...@apache.org
Subject svn commit: r208672 - /gump/trunk/cron/gump.sh
Date Thu, 30 Jun 2005 20:08:22 GMT
Author: ajack
Date: Thu Jun 30 13:08:21 2005
New Revision: 208672

URL: http://svn.apache.org/viewcvs?rev=208672&view=rev
Log:
On Solaris we are getting "no" as in "no python23 in ..." as the command
to run, i.e. which is use stdout not stderr or something. Anyway, since I
can't think of a portable solution allow setting GUMP_PYTHON to skip this 
check for 'python23' before 'python'.

Modified:
    gump/trunk/cron/gump.sh

Modified: gump/trunk/cron/gump.sh
URL: http://svn.apache.org/viewcvs/gump/trunk/cron/gump.sh?rev=208672&r1=208671&r2=208672&view=diff
==============================================================================
--- gump/trunk/cron/gump.sh (original)
+++ gump/trunk/cron/gump.sh Thu Jun 30 13:08:21 2005
@@ -33,13 +33,15 @@
 	. $HOST_LOCAL_ENV
 fi
 
-export GUMP_PYTHON="`which python2.3`"
 if [ "" == "$GUMP_PYTHON" ] ; then
- export GUMP_PYTHON="`which python`"
- if [ "" == "$GUMP_PYTHON" ] ; then
- 	echo "No Python (python2.3 nor python) found in path."
- 	exit 1
- fi
+  export GUMP_PYTHON="`which python2.3`"
+  if [ "" == "$GUMP_PYTHON" ] ; then
+    export GUMP_PYTHON="`which python`"
+	if [ "" == "$GUMP_PYTHON" ] ; then
+	    echo "No Python (python2.3 nor python) found in path."
+	 	exit 1
+    fi
+  fi
 fi
 
 #



Mime
View raw message